glab(1)

NAME
glab-ci-run-trig - Run a CI/CD pipeline trigger.

SYNOPSIS
glab ci run-trig [flags]

DESCRIPTION
Run a CI/CD pipeline trigger.

OPTIONS
-b, --branch=""
    Create pipeline on branch or reference .

-t, --token=""
    Pipeline trigger token. Can be omitted only if the CI_JOB_TOKEN environment variable is set.

--variables=[]
    Pass variables to pipeline in the format :.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab ci run-trig -t xxxx
    $ glab ci run-trig -t xxxx -b main
    $ glab ci run-trig -t xxxx -b main --variables key1:val1
    $ glab ci run-trig -t xxxx -b main --variables key1:val1,key2:val2
    $ glab ci run-trig -t xxxx -b main --variables key1:val1 --variables key2:val2

SEE ALSO
glab-ci(1)